%global upname liborigin
%global major 2.0

Name:           %{upname}2
# The 2.0.0 release of liborigin is known as liborigin2 before. It is 
# incompatible with former releases of liborigin
Version:        %{major}.0
Release:        17%{?dist}
Summary:        Library for reading OriginLab OPJ project files

License:        GPLv2 or GPLv3
URL:            http://sourceforge.net/projects/liborigin/
Source0:        http://sourceforge.net/projects/liborigin/files/liborigin/%{major}/%{upname}-%{version}.tar.gz

# Patch required to read larger OBJ files, patches are submitted to upstream
# http://sourceforge.net/p/liborigin/bugs/18/
# http://sourceforge.net/p/liborigin/bugs/19/
# http://sourceforge.net/p/liborigin/bugs/22/
Patch0:         0001-Workaround-for-parsing-Text-section-in-opj-file.patch
Patch1:         OriginDefaultParser.patch
Patch2:         fix-format-strings.patch

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  doxygen

%description
A library for reading OriginLab OPJ project files.

Compatibility package containing the newer version 2.0

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.

%prep
%setup -q -n %{upname}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Recode FORMAT to UTF-8
iconv -f ISO-8859-5 -t UTF-8 FORMAT > FORMAT.UTF8
touch -r FORMAT FORMAT.UTF8
mv FORMAT.UTF8 FORMAT

%build
# fix for hardcoded path of library location and avoid static lib
sed -i "s|install(TARGETS origin origin-static DESTINATION lib)|install(TARGETS origin DESTINATION lib\${LIB_SUFFIX})|" CMakeLists.txt

%cmake
make


%install
%make_install

# We need to move some files to avoid a conflict with liborigin
mv %{buildroot}%{_includedir}/%{upname} %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_bindir}/opj2dat %{buildroot}%{_bindir}/opj2dat-2.0.0
mv %{buildroot}%{_docdir}/%{upname} %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_libdir}/liborigin.so %{buildroot}%{_libdir}/liborigin2.so
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README
%license COPYING
%{_libdir}/*.so.*
%{_bindir}/opj2dat-2.0.0
%exclude %{_docdir}/%{name}/html
# We have license in different location and FORMAT in -doc
%exclude %{_docdir}/%{name}/COPYING
%exclude %{_docdir}/%{name}/FORMAT

%files devel
%{_includedir}/*
%{_libdir}/*.so


%files doc
%doc FORMAT README
%license COPYING
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html/


%changelog
* Fri Feb 16 2018 Alexander Ploumistos <alexpl@fedoraproject.org> - 2.0.0-17
- Add gcc-c++ build dependency

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Christian Dersch <lupinix@mailbox.org> - 2.0.0-11
- spec cleanup

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.0.0-9
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.0-7
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.0.0-6
- Rebuild for boost 1.57.0

* Sat Dec  6 2014 Christian Dersch <lupinix@fedoraproject.org> - 2.0.0-5
- added patch to fix wrong usage of format strings
- added COPYING to doc subpackage
- make without smp_mflags macro (not prepared by upstream)
- spec cleanups (use license macro for Fedora >= 21)

* Sat Aug 30 2014 Christian Dersch <lupinix@fedoraproject.org> - 2.0.0-4
- some more spec adjustments (dropped dependency of doc subpackage)

* Wed Aug  6 2014 Christian Dersch <lupinix@fedoraproject.org> - 2.0.0-3
- fixed spec to be conform with guidelines

* Wed Aug  6 2014 Christian Dersch <lupinix@fedoraproject.org> - 2.0.0-2
- added two patches fixing an issue with larger origin files

* Mon Aug  4 2014 Christian Dersch <lupinix@fedoraproject.org> - 2.0.0-1
- initial spec
